/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Fevrier 2005                   */

import java.io.*;

public class TestGenerateurNombreAleatoire {
  static BufferedReader flux = new BufferedReader(new InputStreamReader(System.in));
  
  public static void afficheTableau(int [] t) {
    int i;
    for ( i = 0 ; i < t.length ; i++ )
      System.out.print(t[i]+" ");
    System.out.println();
  }
  
  public static int nombreAleatoire(int max) {
    return((int) (Math.random()*(max+1)));
  }
  
  public static int [] generationClasses(int nb,int cl) {
    int [] effectifs = new int[cl];
    int i;
    for ( i = 0 ; i < nb ; i++ ) {
      effectifs[nombreAleatoire(cl-1)]++; }
    return(effectifs);
  }
  
  /* Fonction principale                                  */

  public static void main(String [] args) throws IOException {
    System.out.print("Nombre de valeurs aleatoires a generer : ");
    int nb = Integer.valueOf(flux.readLine()).intValue();
    System.out.print("Nombre de classes a generer            : ");
    int cl = Integer.valueOf(flux.readLine()).intValue();
    int [] effectifs = generationClasses(nb,cl);
    System.out.println("Effectifs : ");
    afficheTableau(effectifs);
  }
}